Skip to main content
GET
/
nfts
/
ownership
/
assets
TypeScript
const response: Promise<FireblocksResponse<ListOwnedTokensResponse>> = fireblocks.nFTs.listOwnedTokens(nFTsApiListOwnedTokensRequest);
{
  "paging": {
    "next": "<string>"
  },
  "data": [
    {
      "id": "<string>",
      "tokenId": "<string>",
      "standard": "<string>",
      "blockchainDescriptor": "ETH",
      "metadataURI": "<string>",
      "cachedMetadataURI": "<string>",
      "media": [
        {
          "url": "<string>",
          "contentType": "IMAGE"
        }
      ],
      "spam": {
        "result": true
      },
      "collection": {
        "id": "<string>",
        "name": "<string>",
        "symbol": "<string>"
      },
      "description": "<string>",
      "name": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

ncwId
string

Tenant's Non-Custodial Wallet ID

walletType
enum<string>
default:VAULT_ACCOUNT

Wallet type, it can be VAULT_ACCOUNT or END_USER_WALLET

Available options:
VAULT_ACCOUNT,
END_USER_WALLET
pageCursor
string

Page cursor to fetch

pageSize
number

Items per page (max 100)

Required range: 1 <= x <= 100
sort
enum<string>[]

Sort by param, it can be one param or a list of params separated by comma

Available options:
name
order
enum<string>
default:ASC

Order direction, it can be ASC for ascending or DESC for descending

Available options:
DESC,
ASC
status
enum<string>
default:LISTED

Token ownership status

Available options:
LISTED,
ARCHIVED

Search owned tokens by token name

spam
enum<string>

Token ownership spam status.

Available options:
true,
false,
all

Response

200 - application/json
paging
object
data
object[]